/***********************************************************************/
/* Panel Tools */
#paneltool {
  width: 300px;
  height: 100%;
  position: fixed;
  top: 0px;
  right: -320px;
  left: auto;
  z-index: 1050;
  box-shadow: 0px 1px 3px #999;
  transition-duration: 0.2s;
  transition-property: left, right, top, bottom, width, margin;
  background: none repeat scroll 0px 0px #F5F5F5;
  border-right: 1px solid rgba(0, 0, 0, 0.2); }

.paneltool {
  position: fixed;
  top: 120px;
  transition: all 0.6s ease 0s;
  right: -325px;
  left: auto;
  border: 1px solid #CCC;
  box-shadow: 1px -1px 3px #888;
  z-index: 999; }
  .paneltool.active {
    right: 0px;
    left: auto;
    transition: all 0.6s ease 0s;
    color: #000000; }
  .paneltool .panelbutton {
    border-width: 1px 1px 1px 0px;
    border-style: solid solid solid none;
    border-color: #CCC #CCC #CCC #CCC;
    -moz-border-top-colors: none;
    -moz-border-right-colors: none;
    -moz-border-bottom-colors: none;
    -moz-border-left-colors: none;
    border-image: none;
    background: none repeat scroll 0% 0% #FFF;
    padding: 9px 11px;
    position: absolute;
    left: -40px;
    right: auto;
    top: 10px;
    cursor: pointer;
    box-shadow: 3px -1px 5px #888; }
    .paneltool .panelbutton img {
      width: 20px;
      height: 20px; }
  .paneltool .panelcontent {
    background: none repeat scroll 0% 0% #FFF;
    width: 320px;
    min-height: 210px; }
    .paneltool .panelcontent .panelinner {
      padding: 20px; }
      .paneltool .panelcontent .panelinner > span {
        margin-bottom: 10px;
        margin-top: 0;
        font-size: 15px;
        font-weight: bold;
        color: #000000;
        text-transform: uppercase; }
  .paneltool .group-input {
    margin: 15px 0px;
    border-top: 1px dashed #ebebeb; }
    .paneltool .group-input .control-label {
      text-transform: uppercase;
      text-align: left;
      font-size: 14px;
      font-weight: bold;
      padding: 6px 0px;
      margin: 0px;
      width: 100%;
      color: #848484; }
      .paneltool .group-input .control-label .fa {
        font-size: 20px;
        margin-right: 10px; }
    .paneltool .group-input .control-span {
      text-transform: uppercase;
      text-align: center;
      font-size: 13px;
      padding: 6px 0px;
      margin: 0px;
      width: 100%;
      display: block;
      color: #333; }
    .paneltool .group-input .float-control {
      width: 100%;
      text-align: center; }
    .paneltool .group-input .layout-control {
      width: 100%; }
    .paneltool .group-input .paneltool-update {
      width: 50%;
      float: left;
      font-size: 12px;
      color: #333;
      padding: 8px 6px; }
    .paneltool .group-input .dynamic-update-layout.selected, .paneltool .group-input .dynamic-update-header.selected {
      color: #656565;
      font-weight: bold; }
    .paneltool .group-input .dynamic-update-layout:hover, .paneltool .group-input .dynamic-update-header:hover {
      cursor: pointer; }

.onoffswitch {
  position: relative;
  width: 90px;
  -webkit-user-select: none;
  -moz-user-select: none;
  -ms-user-select: none;
  display: inline-block;
  vertical-align: middle; }

.onoffswitch-checkbox {
  display: none; }

.onoffswitch-label {
  display: block !important;
  margin: 0px !important;
  overflow: hidden;
  cursor: pointer;
  border-radius: 20px; }

.onoffswitch-inner {
  display: block;
  width: 200%;
  margin-left: -100%;
  -moz-transition: margin 0.3s ease-in 0s;
  -webkit-transition: margin 0.3s ease-in 0s;
  -o-transition: margin 0.3s ease-in 0s;
  transition: margin 0.3s ease-in 0s; }

.onoffswitch-inner:before, .onoffswitch-inner:after {
  display: block;
  float: left;
  width: 50%;
  height: 35px;
  padding: 0;
  line-height: 35px;
  font-size: 14px;
  color: white;
  font-family: Trebuchet, Arial, sans-serif;
  font-weight: bold;
  -moz-box-sizing: border-box;
  -webkit-box-sizing: border-box;
  box-sizing: border-box; }

.onoffswitch-inner:before {
  content: "ON";
  padding-left: 20px;
  background-color: #34A7C1;
  color: #FFFFFF;
  text-align: left; }

.onoffswitch-inner:after {
  content: "OFF";
  padding-right: 20px;
  background-color: #EEEEEE;
  color: #999999;
  text-align: right; }

.onoffswitch-switch {
  display: block;
  width: 18px;
  margin: 11px;
  background: #FFFFFF;
  border: 2px solid #FFFFFF;
  border-radius: 20px;
  position: absolute;
  top: 0;
  bottom: 0;
  right: 50px;
  -moz-transition: all 0.3s ease-in 0s;
  -webkit-transition: all 0.3s ease-in 0s;
  -o-transition: all 0.3s ease-in 0s;
  transition: all 0.3s ease-in 0s; }

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-inner {
  margin-left: 0; }

.onoffswitch-checkbox:checked + .onoffswitch-label .onoffswitch-switch {
  right: 0px; }

/* End Panel Tools */
